Package org.apache.synapse.transport.passthru.util

# Class RelayConstants

java.lang.Object
org.apache.synapse.transport.passthru.util.RelayConstants

public final class RelayConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final QName`
  `BINARY_CONTENT_QNAME`
  `static final QName`
  `BUILDERS_QNAME`
  `static final QName`
  `CLASS_NAME_QNAME`
  `static final QName`
  `CONTENT_TYPE_QNAME`
  `static final String`
  `FORCE_RESPONSE_EARLY_BUILD`
  `static final QName`
  `FORMATTER_CLASS_NAME_QNAME`
  `static final String`
  `INCLUDE_HIDDEN_SERVICES`
  `static final QName`
  `INCLUDE_HIDDEN_SERVICES_QNAME`
  `static final QName`
  `MESSAGE_BUILDER_QNAME`
  `static final QName`
  `RELAY_ASSERTION_QNAME`
  `static final String`
  `RELAY_CONFIG_PARAM`
  `static final String`
  `RELAY_POLICY_NS`
  `static final QName`
  `SERVICE_QNAME`
  `static final QName`
  `SERVICES_QNAME`
  `static final String`
  `STREAM_INTERCEPTOR_FILE`
  The name of the stream interceptor file

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelayConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RELAY_POLICY_NS

    public static final String RELAY_POLICY_NS
    See Also:
      - Constant Field Values

  - ### INCLUDE_HIDDEN_SERVICES

    public static final String INCLUDE_HIDDEN_SERVICES
    See Also:
      - Constant Field Values

  - ### RELAY_ASSERTION_QNAME

    public static final QName RELAY_ASSERTION_QNAME

  - ### INCLUDE_HIDDEN_SERVICES_QNAME

    public static final QName INCLUDE_HIDDEN_SERVICES_QNAME

  - ### SERVICES_QNAME

    public static final QName SERVICES_QNAME

  - ### SERVICE_QNAME

    public static final QName SERVICE_QNAME

  - ### BUILDERS_QNAME

    public static final QName BUILDERS_QNAME

  - ### MESSAGE_BUILDER_QNAME

    public static final QName MESSAGE_BUILDER_QNAME

  - ### CONTENT_TYPE_QNAME

    public static final QName CONTENT_TYPE_QNAME

  - ### CLASS_NAME_QNAME

    public static final QName CLASS_NAME_QNAME

  - ### FORMATTER_CLASS_NAME_QNAME

    public static final QName FORMATTER_CLASS_NAME_QNAME

  - ### RELAY_CONFIG_PARAM

    public static final String RELAY_CONFIG_PARAM
    See Also:
      - Constant Field Values

  - ### BINARY_CONTENT_QNAME

    public static final QName BINARY_CONTENT_QNAME

  - ### FORCE_RESPONSE_EARLY_BUILD

    public static final String FORCE_RESPONSE_EARLY_BUILD
    See Also:
      - Constant Field Values

  - ### STREAM_INTERCEPTOR_FILE

    public static final String STREAM_INTERCEPTOR_FILE
    The name of the stream interceptor file
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RelayConstants

    public RelayConstants()